Seedream · Flash · Edit
Entegre et
bytedance/seedream/v5/flash/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Seedream · Flash · Edit modelini (bytedance/seedream/v5/flash/edit) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/bytedance/seedream/v5/flash/edit.md
POST https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/bytedance/seedream/v5/flash/edit, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,027 27 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
Doitong'ta oluşturuldu
Doitong topluluğunun Seedream 5 Flash ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Бенни. Маленький мальчик ~2-3 лет, похож на JJ из Cocomelon но чуть отличается: круглое личико, большие карие глаза, тёмные короткие волосы, румяные...
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered, a gentle young mother named Jenny, around thirty years old....
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered — Anna, a cheerful big sister about five or six years old....
3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Детская зубная щетка ярко-синего цвета с мягкой щетиной. Округлая эргономичная ручка, современный дизайн, стиль 3D-анимации Cocomelon. Изолированный объект на...
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Cozy colorful bedroom, warm golden sunrise from the window. Benny (blue t-shirt, round face) asleep under bear-print sheets, eyes closed. A sunbeam lies...
3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Интерьер светлой ванной комнаты в стиле 3D-анимации Cocomelon. Белая раковина, зеркало с лампой над ним, кафельные стены. Округлые формы, мягкое освещение,...
3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Просторная кухня в стиле 3D-анимации Cocomelon с теплым желтым освещением от потолочной лампы. Большой обеденный стол, современные стулья и один высокий детский...
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Боб. Папа семьи, ~30-35 лет, высокий и добрый, тёмные короткие волосы, широкая улыбка, карие глаза, одет в клетчатую рубашку и брюки. 3D Cocomelon-стиль,...
3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Интерьер детской спальни в стиле 3D-анимации Cocomelon. Маленькая кровать с постельным бельем с принтом коричневых медведей. Яркие полки с игрушками, ковер на полу,...
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Софа. Младшая сестра, ~1-1.5 лет, пухлые щёчки, короткие тёмные кудряшки, большие глаза, всегда улыбается, одета в фиолетовый комбинезон. 3D...
3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Ярко-желтая пластиковая детская подставка-ступенька для ванной. Округлые края, антискользящая поверхность сверху, стиль 3D-анимации Cocomelon. Изолированный объект...
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Close-up medium: Benny lying in bed, eyes open, grinning, arms under the sheet, golden window light. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE...
На фоне шумного стадиона, Марк Ройс, в яркой форме, виртуозно обводит соперников, демонстрируя невероятную технику и ловкость. Он мчится к трибунам, полные восторженных болельщиков, его лицо выражает уверенность и радость. Вытянув руку вперед, над его ладонью парит сверкающий кристалл, окруженный...
Art style: Cinematic Realistic. Maya standing in the near foreground; Mark standing further back in the frame. Two feet of marble floor visible between them. Maya is standing on marble floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...
A slightly overgrown wild field with tall, golden grass swaying gently in the breeze under a clear blue sky, its tufts catching the warm light. Scattered wildflowers pepper the field in hues of purple and white, adding pops of color. The sun, lowering in the west, streams through the wispy...
Cinematic shot, atelier Estet. A young girl in tears places a crumpled dress sketch on a dark wooden table. An elegant master tailor's hand wearing a stylish ring gracefully covers the sketch with a wave of glowing, luxurious silk fabric that falls in slow motion. Warm dramatic lighting,...
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/bytedance/seedream/v5/flash/edit?wait=20
fiyat → $0,027
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/flash/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedream/v5/flash/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedream/v5/flash/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bytedance/seedream/v5/flash/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Seedream · Flash · Edit hakkında
Metin istemine ve `image_urls` değerine göre görüntüleri düzenler veya yeniden birleştirir; 10'dan fazla görüntü gönderilirse yalnızca son 10'u kullanır. `image_size`, ön ayarları veya auto_1K ve auto_2K değerlerini kabul eder; toplam piksel sayısı 1024x1024 ile 2048x2048 arasında olmalıdır. `num_images` 1 ila 6 sonuç üretir ve çıktı jpeg veya png olur.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
promptgerekli
image_sizeisteğe bağlı
num_imagesisteğe bağlı
num_outputs
output_formatisteğe bağlı
enable_safety_checkeristeğe bağlı
image_urlsgerekli
images
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bytedance/seedream/v5/flash/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 27,
"usd": "0.027",
"charged": 27,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- images
- array of object {url, content_type, file_name, file_size, width, height}Üretimle oluşturulan görseller.
Diğer Seedream 5 Flash varyantları
Daha fazla model: Görsel Düzenleme
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bytedance/seedream/v5/flash/edit.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt



